#include "SIProperty.h"


using namespace System;
using namespace System::Runtime::InteropServices;
using namespace NDTS::Managed::SCO;

SIProperty::SIProperty():Property()
{
}
SIProperty::~SIProperty()
{
};

double SIProperty::getValue() 
{ 
	return dynamic_cast<NDTS::SCO::SIProperty*>(pProp)->getValue(); 
}
void SIProperty::setValue(double value)
{ 
	return dynamic_cast<NDTS::SCO::SIProperty*>(pProp)->setValue(value); 
}
double SIProperty::getMin() 
{ 
	return dynamic_cast<NDTS::SCO::SIProperty*>(pProp)->getMin(); 
}

double SIProperty::getMax() 
{ 
	return dynamic_cast<NDTS::SCO::SIProperty*>(pProp)->getMax(); 
}
